commit:     e30bfac78de6ded17c77d0157b0feaea3882105c
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 20 19:53:33 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Sep 20 20:33:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e30bfac7

dev-python/nbconvert: Bump to 6.0.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/nbconvert/Manifest               |  1 +
 dev-python/nbconvert/nbconvert-6.0.4.ebuild | 72 +++++++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index 7e0d74a73ba..5d1c166a018 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1,2 +1,3 @@
 DIST nbconvert-5.6.1.tar.gz 703233 BLAKE2B 
e75d558aee6c66fe8e7455ecf22dbbcd2a0698380ffec80eff15aea6c70bc853daa9ab2fd1d114453bd5dfe7e75617afb9f5c1075704bfadbb59fef34bca88a9
 SHA512 
0c68adcb9f28ead9ec058fc2e02a9a1e6f65818709c99f7a006a59a7562b5f5ee74afe5287e41568c35542898dc1b43c4543d2386cc05a721b3f99d5cc789435
 DIST nbconvert-6.0.3.tar.gz 848214 BLAKE2B 
4265486536cfe0cf220b8080374726cc68be4f15033c8248806579b1ea1f759caa667ae11738acce1ecc812c65b954be1c21db0abe69db7bfdf67533ea052c3c
 SHA512 
55e6fc1f136f8bc3b4b662011172ac3f61354ee1afa6904b5df34a382ae96f46e13f097f6067ca5e42d3fd0049f81a8a27d7b7faf605fa948e22d6067bc971ef
+DIST nbconvert-6.0.4.tar.gz 841651 BLAKE2B 
080f60103709bd6ddb8258750a51e7bf8891adb1eb2921619cfbb0e774a585f3d3722758d8895f67a76e2705a15a0b35ffcb7c59842ec986a13315e5b10f4eca
 SHA512 
46c2d250e25ad0e2fee0be0fefacc198687acd7ffcb4205bb8cf0ed263e90878cf659f352d551911b0025cb150302ea9ffd67b9453ec23fc5821908f7b56dd75

diff --git a/dev-python/nbconvert/nbconvert-6.0.4.ebuild 
b/dev-python/nbconvert/nbconvert-6.0.4.ebuild
new file mode 100644
index 00000000000..78d048b7720
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-6.0.4.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="https://nbconvert.readthedocs.io/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       dev-python/bleach[${PYTHON_USEDEP}]
+       dev-python/defusedxml[${PYTHON_USEDEP}]
+       >=dev-python/entrypoints-0.2.2[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       dev-python/jupyter_core[${PYTHON_USEDEP}]
+       dev-python/jupyterlab_pygments[${PYTHON_USEDEP}]
+       >=dev-python/mistune-0.7.4[${PYTHON_USEDEP}]
+       dev-python/nbclient[${PYTHON_USEDEP}]
+       dev-python/nbformat[${PYTHON_USEDEP}]
+       >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+       dev-python/pygments[${PYTHON_USEDEP}]
+       >=dev-python/traitlets-4.2.1[${PYTHON_USEDEP}]
+       dev-python/testpath[${PYTHON_USEDEP}]
+       www-servers/tornado[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/pebble[${PYTHON_USEDEP}]
+               dev-python/ipykernel[${PYTHON_USEDEP}]
+               dev-python/ipywidgets[${PYTHON_USEDEP}]
+               >=dev-python/jupyter_client-4.2[${PYTHON_USEDEP}]
+               media-gfx/inkscape
+       )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+       mkdir -p "${HOME}/.local" || die
+       cp -r share "${HOME}/.local/" || die
+       distutils-r1_src_test
+}
+
+python_test() {
+       local deselect=(
+               # Missing pyppeteer for now
+               # TODO: Doesn't skip?
+               --deselect exporters/tests/test_webpdf.py
+               # Needs pyppeteer too
+               --deselect 
'tests/test_nbconvertapp.py::TestNbConvertApp::test_webpdf_with_chromium'
+       )
+
+       distutils_install_for_testing bdist_egg
+       cd "${TEST_DIR}"/lib || die
+       pytest -vv "${deselect[@]}" --pyargs nbconvert || die "Tests failed 
with ${EPYTHON}"
+}
+
+pkg_postinst() {
+       if ! has_version app-text/pandoc ; then
+               einfo "Pandoc is required for converting to formats other than 
Python,"
+               einfo "HTML, and Markdown. If you need this functionality, 
install"
+               einfo "app-text/pandoc."
+       fi
+}

Reply via email to